Summary: CUPS driver files for Citizen Barcode printers.
Name: ctzcls-cups
License: GPL
Version: 1.1.0
Release: 0
Group: System Environment/Libraries
Source0: ctzcls-cups-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
#BuildArch: i386
Requires: cups
BuildRequires: cups-devel
%description
ctzcls-cups is CUPS driver files for printing with CITIZEN Barcode printers.

%prep
%setup -q
#%setup -n %{name}-%{version}
#tar jxf %{SOURCE0}

%build
for SRC in *.c; do
   OBJ=`echo $SRC |sed "s/\.c//"`
   gcc -Wl,-rpath,/usr/lib -Wall -fPIC -O2 -o $OBJ $SRC -lcupsimage -lcups -I.
done

%install
mkdir -p %{buildroot}%{_datadir}/cups/model/ \
         %{buildroot}%{_libdir}/cups/filter
install -m 0644 *.ppd %{buildroot}%{_datadir}/cups/model/
for SRC in *.c; do
   OBJ=`echo $SRC |sed "s/\.c//"`
   install -c -m 0755 $OBJ %{buildroot}%{_libdir}/cups/filter
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/cups/model/*.ppd
%{_libdir}/cups/filter/*

%post
CUPSINIT=`rpm -ql cups | grep "init\.d" `
if [ -n "$CUPSINIT" ] ; then
    $CUPSINIT restart
else
     systemctl --force stop cups.service
     systemctl start cups.service
fi

%postun
CUPSINIT=`rpm -ql cups | grep "init\.d" `
if [ -n "$CUPSINIT" ] ; then
    $CUPSINIT restart
else
     systemctl --force stop cups.service
     systemctl start cups.service
fi

%changelog
* Tue Mar 16 2016 Citizen Systems <sales-eg@systems.citizen.co.jp> 1.1.0-0
- Added new filter "rastertocls".
- Supported the Upside Down Printing and the Page Order. 
* Thu Jun 28 2012 Citizen Systems <sales-eg@systems.citizen.co.jp> 1.0.0-0
- Added '--force' to systemctl (stop) in the shell scripts.
- Missspelling was modified. (s/Refrect/Reflect/)
- Tue Jun 12 2012 Citizen Systems <sales-eg@systems.citizen.co.jp> 1.0.0-0
- First shipping
- Checked with Fedora 17 / Scientific Linux 6.2
